[@bigcommerce/checkout-sdk](../README.md) / CustomerAccountRequestBody

# Interface: CustomerAccountRequestBody

## Table of contents

### Properties

- [acceptsMarketingEmails](CustomerAccountRequestBody.md#acceptsmarketingemails)
- [customFields](CustomerAccountRequestBody.md#customfields)
- [email](CustomerAccountRequestBody.md#email)
- [firstName](CustomerAccountRequestBody.md#firstname)
- [lastName](CustomerAccountRequestBody.md#lastname)
- [password](CustomerAccountRequestBody.md#password)

## Properties

### acceptsMarketingEmails

• `Optional` **acceptsMarketingEmails**: `boolean`

___

### customFields

• `Optional` **customFields**: \{ `fieldId`: `string` ; `fieldValue`: `string` \| `number` \| `string`[]  }[]

___

### email

• **email**: `string`

___

### firstName

• **firstName**: `string`

___

### lastName

• **lastName**: `string`

___

### password

• **password**: `string`
